#include <stdio.h>
#include <math.h>
#include <stdlib.h>

const long MAX_DIVISORS_COUNT = 1000;

struct DivisorGenerator
{
	long divisors[MAX_DIVISORS_COUNT];
	long cDivisors;

	void GenerateDivisors(long number)
	{
		long sqrtCeil = (long)ceil(sqrt(number));
		long divisor, quotient;
		for(cDivisors = 0, divisor = 1; divisor <= sqrtCeil; ++divisor)
		{
			if(! (number % divisor))
			{
				quotient = number / divisor;
				divisors[cDivisors++] = divisor;
				if(divisor < quotient)divisors[cDivisors++] = quotient;
			}
		}
		qsort(divisors, cDivisors, sizeof(divisors[0]), DivisorsCmp);
	}
private:
	static int DivisorsCmp(const void *pDivisor1, const void *pDivisor2)
	{
		if(*(long*)pDivisor1 < *(long*)pDivisor2)return -1;
		if(*(long*)pDivisor1 > *(long*)pDivisor2)return 1;
		return 0;
	}
};

int main(void)
{
#ifndef ONLINE_JUDGE
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	long cPeople, maxPeopleInGroup;
	while(scanf("%ld %ld", &cPeople, &maxPeopleInGroup) == 2)
	{
		if(cPeople == 1)
		{
			puts("1 persons/group, 1 day");
			continue;
		}
		DivisorGenerator divisors1, divisors2;
		divisors1.GenerateDivisors(cPeople);
		divisors2.GenerateDivisors(cPeople - 1);
		long iDivisor1, iDivisor2;
		for
		(
			iDivisor2 = divisors2.cDivisors - 1, iDivisor1 = divisors1.cDivisors - 1;
			iDivisor1 >= 0;
			--iDivisor1
		)
		{
			while(iDivisor2 >0 && divisors2.divisors[iDivisor2] >= divisors1.divisors[iDivisor1])
				--iDivisor2;
			if
			(
				2 <= divisors1.divisors[iDivisor1] &&
				divisors1.divisors[iDivisor1] <= maxPeopleInGroup &&
				divisors1.divisors[iDivisor1] - 1 == divisors2.divisors[iDivisor2]
			)break;
		}
		if(iDivisor1 <= 0 )puts("No solution");
		else
		{
			if((cPeople - 1) / (divisors1.divisors[iDivisor1] - 1) > 1)
			{
				printf
				(
					"%ld persons/group, %ld days\n",
					divisors1.divisors[iDivisor1],
					(cPeople - 1) / (divisors1.divisors[iDivisor1] - 1)
				);
			}
			else printf("%ld persons/group, 1 day\n", divisors1.divisors[iDivisor1]);
		}
	}

#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif

	return 0;
}